View Issue Details

IDProjectCategoryView StatusLast Update
0031596RunnerHTML5Public2020-03-26 15:01
ReporterAliceAssigned ToRussell Kay 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5 OSOS Version
Product Version2.2.5 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031596: HTML5: Directly accessing a value in a ds map that references an array causes a crash
DescriptionIssue:
On windows, it is possible to set a key in a ds map to be a reference to an array and access that value directly without having to look up the key in the map.
However, when doing so in HTML5, the game crashes.

Expected:
There are no differences in the functionality of ds maps between Windows and HTLM5.
Steps To Reproduce1- Launch the IDE
2-Launch the project attached on HTML5
3- Press Enter
4- Observe the crash
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.5.378
2.x Runtime Verified In v23.1.1.111

Activities

Alice

2020-01-28 10:35

Adminstrator  

map-key-array-problem.yyz (63,092 bytes)

Russell Kay

2020-01-31 13:39

Manager   ~0065332

Fixed in gitlab

Alice

2020-03-26 15:01

Adminstrator   ~0065536

Verified fixed in IDE v23.1.1.129 Runtime v23.1.1.111.
Closing the bug. Thank you.